# Generated by Django 2.1.7 on 2019-02-25 10:00

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Genre',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='Review',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('creation_date', models.DateTimeField()),
                ('summary', models.TextField()),
                ('mark', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='ReviewSegment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('position', models.IntegerField()),
                ('length', models.IntegerField()),
                ('comment', models.TextField()),
                ('review', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='textreview.Review')),
            ],
        ),
        migrations.CreateModel(
            name='Text',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=100, null=True)),
                ('content', models.TextField()),
                ('creation_date', models.DateTimeField()),
                ('hash', models.CharField(max_length=64)),
            ],
        ),
        migrations.CreateModel(
            name='Theme',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('genres', models.ManyToManyField(related_name='themes', to='textreview.Genre')),
            ],
        ),
        migrations.CreateModel(
            name='User',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('password', models.CharField(max_length=100)),
                ('email', models.CharField(max_length=100)),
                ('last_visit', models.DateTimeField()),
                ('rating', models.IntegerField()),
            ],
        ),
        migrations.AddField(
            model_name='text',
            name='author',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='textreview.User'),
        ),
        migrations.AddField(
            model_name='text',
            name='genre',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='textreview.Genre'),
        ),
        migrations.AddField(
            model_name='text',
            name='themes',
            field=models.ManyToManyField(related_name='texts', to='textreview.Theme'),
        ),
        migrations.AddField(
            model_name='review',
            name='author',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='textreview.User'),
        ),
        migrations.AddField(
            model_name='review',
            name='text',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='textreview.Text'),
        ),
        migrations.AddField(
            model_name='genre',
            name='users',
            field=models.ManyToManyField(related_name='genres', to='textreview.User'),
        ),
    ]
