"""notwriteme URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/2.1/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL two urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.urls import path

from . import views

urlpatterns = [
    path('login/', views.LoginPage.as_view(), name="login"),
    path('auth/login/', views.LoginView.as_view()),
    path('main/', views.MainPage.as_view(), name="main_page"),
    path('settings/', views.SettingsPage.as_view(), name="settings"),

    path('new_text/', views.NewText.as_view(), name="new_text"),
    path('get_theme/', views.GetTheme.as_view(), name="get_theme"),
    path('publish_text/', views.PublishText.as_view(), name="publish_text"),

    path('get_text/', views.GetText.as_view(), name="get_text"),
    path('publish_review/', views.PublishReview.as_view(), name="publish_review"),

    path('text/<str:hash>', views.ReadText.as_view(), name="read_text"),
]
